extends ../layouts/navbar
include ../components/loading

block content
    .text-center
        h1 Assigning User to Course
        +loading()
    script.
        function poll() {
            let loadingBar = $('#loadingtext');
            $.ajax({
                url: '/course/importusers/#{processKey}/status',
                dataType: 'json',
                async: true,
                success: (data) => {
                    loadingBar.text(data.status);
                    console.log(data);
                    if (data.finished) {
                        setTimeout(() => {
                            if (data.suc)
                                window.location.href = '/course/list?id=#{cid}&action=sa'
                            else
                                window.location.href = '/course/list?id=#{cid}&action=fa'
                        }, 5000);
                    }
                    else setTimeout(poll,100);
                }
            })
        }
        $(document).ready(() => {poll();});
